org.apache.lucene.queryParser.core.nodes

## Class DeletedQueryNode

- java.lang.Object
- - org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
  - - org.apache.lucene.queryParser.core.nodes.DeletedQueryNode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, QueryNode
  Direct Known Subclasses:
    MatchNoDocsQueryNode, NoTokenFoundQueryNode

      public class DeletedQueryNode
      extends QueryNodeImpl

  A `DeletedQueryNode` represents a node that was deleted from the query node tree. It can be removed from the tree using the `RemoveDeletedQueryNodesProcessor` processor.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl

      `PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeletedQueryNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryNode` | `cloneTree()` Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method
    `java.lang.CharSequence` | `toQueryString(EscapeQuerySyntax escaper)` convert to a query string understood by the query parser
    `java.lang.String` | `toString()` Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

    - ### Methods inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl

      `add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTags, isDefaultField, isLeaf, isRoot, set, setLeaf, setTag, unsetTag`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeletedQueryNode

          public DeletedQueryNode()

  - ### Method Detail

    - #### toQueryString

          public java.lang.CharSequence toQueryString(EscapeQuerySyntax escaper)

      Description copied from interface: `QueryNode`
      convert to a query string understood by the query parser

    - #### toString

          public java.lang.String toString()

      Description copied from class: `QueryNodeImpl`
      Every implementation of this class should return pseudo xml like this: For FieldQueryNode:
      Specified by:
        `toString` in interface `QueryNode`
      Overrides:
        `toString` in class `QueryNodeImpl`
      See Also:
        `QueryNode.toString()`

    - #### cloneTree

          public QueryNode cloneTree()
                              throws java.lang.CloneNotSupportedException

      Description copied from interface: `QueryNode`
      Recursive clone the QueryNode tree The tags are not copied to the new tree when you call the cloneTree() method
      Specified by:
        `cloneTree` in interface `QueryNode`
      Overrides:
        `cloneTree` in class `QueryNodeImpl`
      Returns:
        the cloned tree
      Throws:
        `java.lang.CloneNotSupportedException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.